Create a project-level ingress (returns the full project)
POST
/projects/{id}/ingresses
const url = 'https://example.com/projects/example/ingresses';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"host":"example","tlsEnabled":true,"basicAuth":{"enabled":true,"password":"example","username":"example"},"routes":[{"path":"example","serviceName":"example","servicePort":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/projects/example/ingresses \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "host": "example", "tlsEnabled": true, "basicAuth": { "enabled": true, "password": "example", "username": "example" }, "routes": [ { "path": "example", "serviceName": "example", "servicePort": 1 } ] }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
host
required
string
tlsEnabled
boolean
Any of:
object
basicAuth
object
enabled
required
boolean
password
string
username
string
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
integer
Responses
Section titled “Responses”OK
Media typeapplication/json
object
key
additional properties
Example generated
{ "additionalProperty": "example"}